Subject: Re: bug#46929: [PATCH] gnu: maths: dune-*: Update to version 2.7.1
From: Ludovic Courtès <[email-masked]>
To: Felix Gruber <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Jan 2022 14:57:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Gruber <[email-masked]> skribis:

> I've rebased the patches onto master and made some small changes to use
> the new simplified package inputs. I've also split the patch into one
> patch per package to be in line with common practice.
>
> To speed up the build-tests phase, I've made it to honor parallel-build?
> to run make with multiple jobs. This makes the build faster, but
> dune-common still takes a while to build (~20min on my computer).
>
> Finally I've updated the dune-pdelab package to use the latest commit on
> the releases/2.7 branch (there is no tag for version 2.7 or 2.7.1).
>
> Since my last patch Dune 2.8 has been released, but I wasn't able to
> build dune-subgrid with it since building against Dune 2.8 was giving me
> failures in dune-subgrid's test suite. Until the cause of those test
> failures is fixed, it's probably best to only upgrade to 2.7.1.

Somehow this had fell through the cracks, sorry about that!

> Felix Gruber (12):
>   gnu: Modernize add-openmpi-to-dune-package
>   gnu: dune-common: Update to 2.7.1.
>   gnu: dune-geometry: Update to 2.7.1.
>   gnu: dune-uggrid: Update to 2.7.1.
>   gnu: dune-grid: Update to 2.7.1.
>   gnu: dune-istl: Update to 2.7.1.
>   gnu: dune-localfunctions: Update to 2.7.1.
>   gnu: dune-alugrid: Update to 2.7.1.
>   gnu: dune-subgrid: Update to 2.7.1.
>   gnu: dune-typetree: Update to 2.7.1.
>   gnu: dune-functions: Update to 2.7.1.
>   gnu: dune-pdelab: Update to 2.7.1.

Finally applied, thank you!

Ludo’.